Status: Closed Start date: 15 Feb 2013

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: Release Estimated time: 0.00 hour

Target version: CoCoA-5.1.3/4 Jan 2016 Spent time: 0.70 hour

Description

Should we use in cocoa-5 the rule odd and even numbers for snapshots/official versions?

(e.g. 5.0.3 is snapshot ;-)

Related issues:

Related to CoCoA-5 - Design #1550: version number for CoCoA5 snapshot release? Closed 11 Dec 2020

History

#1 - 27 Feb 2013 17:31 - John Abbott

- Category set to Release

JAA likes the rule:

odd  <--> snapshot

even <--> stable/official

Should we use a similar rule for CoCoALib?

0.9953  <---> "snapshot"

0.9954  <--->  stable

#2 - 21 May 2013 17:31 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 50

The rules need to be simple so that we can remember them.

Let's say even numbers mean "stable" and odd ones "interim".

I also suggest increasing CoCoALib version numbers to 5 digits after the decimal point (and incrementing more often, probably at least once per

week).  This would imply that often the version number will increase by 2 rather than 1 since we will presumably produce many more interim versions

than stable ones.

#3 - 24 Feb 2014 18:08 - John Abbott

- Target version changed from CoCoA-5.0.3 to CoCoA-5.0.9

#4 - 25 Mar 2014 17:42 - John Abbott

- Target version changed from CoCoA-5.0.9 to CoCoA-5.1.0 Easter14
#5 - 09 Apr 2014 17:36 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#6 - 02 Sep 2014 11:32 - John Abbott

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.?.?

#7 - 11 May 2015 14:28 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.3/4 Jan 2016

#8 - 17 Feb 2016 20:37 - John Abbott

Postpone or close this issue?

#9 - 22 Mar 2016 18:18 - Anna Maria Bigatti

- Status changed from In Progress to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 50 to 80

Trying again and refining the idea after some experience:

I suggest using odd numbers for "flowing versions", and even numbers for released versions.

That means that an odd-numbered version (e.g. CoCoALib-99543, CoCoA-5.1.5) actually refer to many different internal versions in preparation for

the official even version.

#10 - 22 Mar 2016 18:21 - Anna Maria Bigatti

This would also imply that in cvs we should have only even target versions.

#11 - 23 Mar 2016 10:32 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 80 to 100

Try with latest proposal.  If not satisfactory make new issue/proposal.

#12 - 23 Mar 2016 10:40 - John Abbott

Does this mean that the "target version" for new features should always be with an even number?

#13 - 23 Mar 2016 10:43 - Anna Maria Bigatti

John Abbott wrote:

Does this mean that the "target version" for new features should always be with an even number?

 

yes.

Do you want me to rename the cocoalib target?
#14 - 11 Dec 2020 12:21 - Anna Maria Bigatti

- Related to Design #1550: version number for CoCoA5 snapshot release? added
